Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api.node
Class PortalNodeImpl

    java.lang.Object
      org.jboss.portal.core.impl.api.node.PortalNodeImpl

All Implemented Interfaces:
  PortalNode

    public class PortalNodeImpl

extends java.lang.Object
implements PortalNode

Version:
  $Revision: 11223 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.api.node.PortalNode
`TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW`

Constructor Summary
`PortalNodeImpl(PortalAuthorizationManager portalAuthorizationManager, PortalObject object)` Build a portal node object wrapping the specified portal object.

Method Summary
`PortalNodeURL` | `createURL(PortalRuntimeContext portalRuntimeContext)` Create a portal node url for this object.
`PortalNode` | `getChild(java.lang.String name)` Return a child of this object.
`java.util.Collection` | `getChildren()` Return the children of this object.
`java.lang.String` | `getDisplayName(java.util.Locale locale)` Returns the best display name for specified locale.
`java.lang.String` | `getName()` Return the node name which identifies the node in the context to its parent.
`PortalObjectId` | `getObjectId()`
`PortalNode` | `getParent()` Return the parent node of this node.
`java.util.Map` | `getProperties()` Returns the node properties.
`PortalNode` | `getRoot()` Return the root node of this node.
`int` | `getType()` Return the node type.
`PortalNode` | `resolve(java.lang.String relativePath)` Get a portal node relative to this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalNodeImpl

    public PortalNodeImpl(PortalAuthorizationManager portalAuthorizationManager,
                          PortalObject object)
                   throws java.lang.IllegalArgumentException

  Build a portal node object wrapping the specified portal object.

  Parameters:
    `object` - the wrapped portal object
  Throws:
    `java.lang.IllegalArgumentException` - if the specified object is null

Method Detail

### getType

    public int getType()

  Description copied from interface: `PortalNode`
  Return the node type.

  Specified by:
    `getType` in interface `PortalNode`
  Returns:
    the node type

### getRoot

    public PortalNode getRoot()

  Description copied from interface: `PortalNode`
  Return the root node of this node.

  Specified by:
    `getRoot` in interface `PortalNode`
  Returns:
    the root node

### getParent

    public PortalNode getParent()

  Description copied from interface: `PortalNode`
  Return the parent node of this node.

  Specified by:
    `getParent` in interface `PortalNode`
  Returns:
    the parent node

### getName

    public java.lang.String getName()

  Description copied from interface: `PortalNode`
  Return the node name which identifies the node in the context to its parent.

  Specified by:
    `getName` in interface `PortalNode`
  Returns:
    the node name

### getDisplayName

    public java.lang.String getDisplayName(java.util.Locale locale)

  Description copied from interface: `PortalNode`
  Returns the best display name for specified locale.

  Specified by:
    `getDisplayName` in interface `PortalNode`
  Returns:
    the display name

### getChild

    public PortalNode getChild(java.lang.String name)

  Description copied from interface: `PortalNode`
  Return a child of this object.

  Specified by:
    `getChild` in interface `PortalNode`
  Parameters:
    `name` - the child name
  Returns:
    a named child

### getChildren

    public java.util.Collection getChildren()

  Description copied from interface: `PortalNode`
  Return the children of this object.

  Specified by:
    `getChildren` in interface `PortalNode`
  Returns:
    the children

### resolve

    public PortalNode resolve(java.lang.String relativePath)

  Description copied from interface: `PortalNode`
  Get a portal node relative to this object.

  Specified by:
    `resolve` in interface `PortalNode`
  Parameters:
    `relativePath` - the relative path
  Returns:
    the relative object

### getProperties

    public java.util.Map getProperties()

  Description copied from interface: `PortalNode`
  Returns the node properties.

  Specified by:
    `getProperties` in interface `PortalNode`
  Returns:
    the node properties

### createURL

    public PortalNodeURL createURL(PortalRuntimeContext portalRuntimeContext)

  Description copied from interface: `PortalNode`
  Create a portal node url for this object.

  Specified by:
    `createURL` in interface `PortalNode`
  Parameters:
    `portalRuntimeContext` - the portal runtime context
  Returns:
    the portal node url

### getObjectId

    public PortalObjectId getObjectId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD